#!/bin/bash

MKIMAGE=$HOST_DIR/usr/bin/mkimage
GENEXT2FS=$HOST_DIR/usr/bin/genext2fs

# Catch post-build Error
function error {
  
  echo "post-build Failed."
  exit 1;
}

set -e
trap error ERR

echo "==>   Mozart3 post-build:"

echo "AW_STAGING: ${AW_STAGING}"
echo "AW_PROJECT: " ${AW_PROJECT}

# Generate uboot scripts
for cmd_file in `ls ${AW_PROJECT}/uboot/*.cmd`
do
        echo "uboot script: $cmd_file"
        # Get file name without extention.
        name=`echo "$(basename ${cmd_file})" | cut -d'.' -f1`
        echo "cmd: $MKIMAGE -C none -A arm -T script -d ${cmd_file} ${BINARIES_DIR}/${name}.scr"
        $MKIMAGE -C none -A arm -T script -d ${cmd_file} ${BINARIES_DIR}/${name}.scr
done

# Copy the overlay of the target.
if [ -d ${PROJECT}/ovl ]; then
	mkdir -p ${AW_STAGING}/buildroot/target/usr/local/
	cp -a ${AW_PROJECT}/ovl/* ${AW_STAGING}/buildroot/target/
fi

# Finaly apply post build script of the target if the script exist.
if [ -e ${PROJECT}/post-build.sh ]; then 
	${PROJECT}/post-build.sh
fi
